Creates asset.

Creates an asset.

📘

The rate limit for this API is normal.


Body Params

Provides details to create a new asset.

A JSON Merge Patch object as defined by RFC 7386

string | null
required

Required for all assets. For Trailer assets, displayName and licensePlate are required; for non-Trailer assets, displayName, licensePlate, tachoVersion, and vinNumber are required.

string
enum
required

Represents the type of the Asset.

Allowed:
string
required

Required for all assets. For Trailer assets, displayName and licensePlate are required; for non-Trailer assets, displayName, licensePlate, tachoVersion, and vinNumber are required.

string
enum
Defaults to notConnected

Required when assetType is not Trailer.

Allowed:
string | null
^[a-zA-Z0-9]+$

Vehicle identification number. API errors: vinNumberExceeds and vinNumberNotValid.

string | null

Optional code, unique within the tenant. API error: internalCodeInUse.

string | null
assignees
object | null

Represents the field to assign either teams or users to an asset.Or it can be accessed by all when the All property is set True.

string | null
enum
Defaults to Active
Allowed:
devices
array of strings | null

Represents a list of devices connected to the asset. Type of device can be anyone of the device types mentioned: txgo, txgo2, txgo3, simtxgo, simtxgo2, simtxgo3, daf, tp, tpnb, tpsim, txtrailerguard, simtxtrailerguard, munic, traxee, simtraxee, scania, tcu350c, tmd102, tmd104, tmd200, tmd200a, and mcu.

devices
customLabels
object | null

Represents Custom labels.

tachoDetail
object | null

Represents the tacho details. It is mandatory when TDA feature is enabled for the organization. Tacho detail is not required for trailer asset type.

double
Defaults to 0
string
enum
Defaults to Unknown

Represents the category of the Asset.

string | null

Model setting of the asset.

string | null

Segment setting of the asset.

string | null

Manufacturer setting of the asset

string | null

trailer type of the asset

string | null
int32
1 to 999

Seating Capacity of the Asset. Valid only when assetCategory is PassengerTransport. Must be a positive integer from 1 to 999. API error: SeatingCapacityNotApplicable.

string | null
enum

Energy Source of the asset

string | null
enum

Emission norms of the asset

Allowed:
assetMetadata
object
int32
1 to 999

Wheelchair Capacity of the Asset. Valid only when assetCategory is PassengerTransport. Must be a positive integer from 1 to 999. API error: WheelChairCapacityNotApplicable.

string | null
date-time | null
Responses

401

Unauthorized access.

429

Too many requests.

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json